function [ang,angc,x,y,xel,yel,tel,xcl,ycl,tcl,lel,R,Curvt,Itype,ncx,ncy,nex,ney,xcntr,ycntr]=...
    BEM_ax_initial_discrt_WGM_drop(Nelm,Rad,xel,yel,tel,tcl,Itype)

% discretization of the initial geoemtry of the drop interface deformation
% cause by laser radiation pressure
%
% version 10/20/15      author P.Z.

%%
Ic = 0;
% circular elements:
%
yy=linspace(1,-1,Nelm+1);
yy=abs(yy).^1.1.*sign(yy);
%         ang=linspace(-pi/2,pi/2,Nelm+1); ang=ang.^1.2;
ang=pi/2.*yy; ang=ang';
angc=0.5*(ang(2:end)+ang(1:end-1));
%}

x=Rad*sin(ang);
y=Rad*cos(ang);
xcl=Rad*sin(angc);
ycl=Rad*cos(angc);

angc = pi/2-angc;
ang = pi/2-ang;

[xcntr,ycntr,R,Curvt,angle,ncx,ncy,nex,ney,TYPE]= circular_seg3(x,y,xcl,ycl);
Itype(1:Nelm) = 2;

for i=1:Nelm
    Ic = Ic+1;
    xel(Ic,1) = x(i);
    xel(Ic,2) = x(i+1);
    yel(Ic,1) = y(i);
    yel(Ic,2) = y(i+1);
    tel(Ic,1)=angle(i,1);
    tel(Ic,2)=angle(i,3);
    tcl(Ic)=angle(i,2);
end

%         x=[xel(1:Nelm,1);xel(Nelm,2)];
%         y=[yel(1:Nelm,1);yel(Nelm,2)];

%% element arc length
lel=zeros(1,Nelm);
for i=1:Nelm
    if(Itype(i)==1 )%|| R(i)>1e10
        lel(i) = sqrt((xel(i,1)-xel(i,2))^2+(yel(i,1)-yel(i,2))^2);
    else
        lel(i) = R(i)*(angle(i,3)-angle(i,1));
    end
end