function  [x,y,xcl,ycl,xel,yel,tcl,tel,lel,ncx,ncy,nex,ney,xcntr,ycntr,R,Curvt,angle,Itype]=...
    BEM_ax_update_mesh_WGM_drop...
    (Nelm,delt,x,y,u,v,ue,ve,xcl,ycl,xel,yel,tcl,tel,ncx,ncy,Itype)
% update the interface element position based on the velocity values
% element related information, i.e., arc length center, etc are
% re-calculated.
% 
% version: 10/20/15   author: PZ

%% update mesh
% move in the total velocity direction
%
v([1:2,end-1:end])=0;
ve([1:2,end-1:end])=0;

xcl=xcl+delt*u;
ycl=ycl+delt*v;

x=x+delt*ue;
y=y+delt*ve;
%}

% move in the normal direction
%{
vel_normc=u.*vnx+v.*vny;

vel_norm=ue.*vnex+ve.*vney;

xcl=xcl+delt*(vel_normc.*vnx);
ycl=ycl+delt*(vel_normc.*vny);

x=x+delt*(vel_norm.*vnex);
y=y+delt*(vel_norm.*vney);
%}

%{
figure(98)
clf;
quiver(xcl,ycl,vel_normc.*vnx,vel_normc.*vny,'b');
axis equal;
%}

xel(:,1)=x(1:Nelm);
xel(:,2)=x(2:Nelm+1);
yel(:,1)=y(1:Nelm);
yel(:,2)=y(2:Nelm+1);

%% re-calculated parameters
%         x=[xel(1:Nelm,1);xel(Nelm,2)];
%         y=[yel(1:Nelm,1);yel(Nelm,2)];
xc0=xcl(1:Nelm);
yc0=ycl(1:Nelm);

[xc0,yc0,xcntr,ycntr,R,Curvt,angle,ncx,ncy,nex,ney,TYPE]=circular_seg5(x,y,xc0,yc0,ncx(1),ncy(1),1.414);
xcl=xc0(:);
ycl=yc0(:);

Itype(1:Nelm)=TYPE;
angle=real(angle);

for i=1:Nelm
    tcl(i) = angle(i,2);
    tel(i,1)=angle(i,1);
    tel(i,2)=angle(i,3);
end

%% element arc length
lel=zeros(1,Nelm);
for i=1:Nelm
    if(Itype(i)==1 )%|| R(i)>1e10
        lel(i) = sqrt((xel(i,1)-xel(i,2))^2+(yel(i,1)-yel(i,2))^2);
    else
        lel(i) = R(i)*(angle(i,3)-angle(i,1));
    end
end
