% plot results:

clear all
close all
clc

% L values for oil droplet in water \lambda=700nm
%
R_array = [400  300 250 200 150 120 100   80 70 60  50 40
    ]; %  90

L_array = [5145  3847  3204  2569  1918  1529  1275    1018  889  761  632  504
    ]; %1139

% cases to plot
R_array = [100 
    ]; %  60  50 45  40  35  30  25 21  18  15  12  10

L_array = [1275    
    ]; %1139

Ncase=length(R_array);

dir=''; % ..\case_results_N128_P1_Lambda700\
path=dir;

sty={'k.';'r.';'r.';'k.';'r.';'k.'};
% sty={'k.';'g.';'g.';'b.';'g.';'b.'};

%% save files
filename_R='shape_BEM_P1_lambd700_R.txt';
filename_theta='shape_BEM_P1_lambd700_theta.txt';
filename_infor='shape_BEM_P1_lambd700_infor.txt';

fsav=-1;
Isave_R=[400,200,100,50];

if fsav>0
    cmd=['delete ',filename_R,' ',filename_theta,' ',filename_infor];
    eval(cmd);
%     delete shape_BEM_P1_R.txt shape_BEM_P1_theta.txt shape_BEM_P1_infor.txt
end

%% read and plot information

for jj=1:Ncase
    
    suffx=[num2str( R_array(jj) ) '.txt'];
    
    fidinf=fopen([path,'infor',suffx]); %15kstrcat(
    fidxe=fopen([path,'xel',suffx]);
    fidye=fopen([path,'yel',suffx]);
    fidxc=fopen([path,'xcl',suffx]);
    fidyc=fopen([path,'ycl',suffx]);
    fiduv=fopen([path,'uv',suffx]);
    fidnc=fopen([path,'ncxy',suffx]);
    fidf=fopen([path,'fn',suffx]);
    fidcvt=fopen([path,'Curvt',suffx]);
    fidre=fopen([path,'Re',suffx]);
    fidrc=fopen([path,'Rc',suffx]);
    %[Nelm1;Nelm;Ndelt;delt]
    
    % Nelm1=fscanf(fidinf,' %f ',[1,1]);
    Nelm=fscanf(fidinf,' %f ',[1,1]);
    Ndelt=fscanf(fidinf,' %f ',[1,1]); %Ndelt=1000;
%     delt=fscanf(fidinf,' %f ',[1,1]);
    Del_I=fscanf(fidinf,' %f ',[1,1]);
    ch_T=fscanf(fidinf,' %f ',[1,1]);
    ch_U=fscanf(fidinf,' %f ',[1,1]);
    ch_DP=fscanf(fidinf,' %f ',[1,1]);
    ch_R=R_array(jj)*1e-6;
    
    N=Ndelt/Del_I+1;
    Nm=round(Nelm/2);
    
    T=zeros(N,1);
    curvt=zeros(N,1);
    r=zeros(N,1);
    uvc=zeros(N,1);
    uv1=zeros(N,1);
    uve=zeros(N,1);
    
    maxRe=zeros(N,1);
    minRe=zeros(N,1);
    maxRc=zeros(N,1);
    
    Idt=0;
    
    
    for i=0:Del_I:Ndelt
        %     for i=Ndelt:Ndelt
        Idt=Idt+1;
        time=fscanf(fidinf,' %f ',[1,1]);
        %     time=i*delt;
        
        if Idt>1 && isempty(time) % if next step doesn't exist, plot and save last step
            
            ths=zeros(2*Nelm+1,1);
            Rs=zeros(2*Nelm+1,1);
            ths(1:2:end)=the; Rs(1:2:end)=Re;
            ths(2:2:end)=thc; Rs(2:2:end)=Rc;
            
            if fsav>0 && any(R_array(jj)==Isave_R)
                dlmwrite(filename_infor,[R_array(jj),2*Nelm+1],'-append', 'delimiter', ' ');
                dlmwrite(filename_theta,ths','-append', 'delimiter', ' ');
                dlmwrite(filename_R,Rs','-append', 'delimiter', ' ');
            end
            
            figure(71);
%             clf;
            hold on;
            plot(ths,Rs,sty{2},'linewidth',3);
            %             title(['Surface profile at time=',num2str(time)],'fontsize',15);
            xlabel('\theta','fontsize',15)
            ylabel('\Delta R / R','fontsize',15)
            hold off
            box on
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            
            figure(72)
            clf;
            hold on;
            plot(thc,2*(cvt-1),sty{2},[thc(1),thc(Nelm)],[0,0],'y-')
            xlabel('\theta','fontsize',15)
            ylabel('\Delta \kappa_m','fontsize',15)
            hold off
            box on
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            
            break;
        end
        
        xel=fscanf(fidxe,'%g ',[1,Nelm+1]); xel=xel';
        yel=fscanf(fidye,'%g ',[1,Nelm+1]); yel=yel';
        Re=fscanf(fidre,'%g ',[1,Nelm+1]); Re=Re';
        the=real(acos(xel./(Re+1)));
        
        xcl=fscanf(fidxc,' %f ',[1,Nelm]);
        ycl=fscanf(fidyc,' %f ',[1,Nelm]);
        Rc=fscanf(fidrc,'%g ',[1,Nelm]); Rc=Rc';
        thc=real(acos(xcl'./(Rc+1)));
        
        u=fscanf(fiduv,'%g ',[1,Nelm]); %vel=vel';
        v=fscanf(fiduv,'%g ',[1,Nelm]);
        nx=fscanf(fidnc,'%g ',[1,Nelm]); %vel=vel';
        ny=fscanf(fidnc,'%g ',[1,Nelm]);
        %     u=vel(:,1);  v=vel(:,2);
        fn=fscanf(fidf,'%g ',[1,Nelm]); %traction=traction';
%         fy=fscanf(fidf,'%g ',[1,Nelm]);
        cvt=fscanf(fidcvt,'%g ',[1,Nelm]);
        
        curvt(Idt)=cvt(Nm);
        T(Idt)=time;
        r(Idt)=sqrt(xel(Nm)^2+yel(Nm)^2);
        uvc(Idt)=sqrt(u(Nm)^2+v(Nm)^2);
        uv1(Idt)=sqrt(u(1)^2+v(1)^2);
        uve(Idt)=sqrt(u(end)^2+v(end)^2);
        maxRe(Idt)=max(Re);
        minRe(Idt)=min(Re);
        
        if i==Ndelt %100%i==Ndelt%mod(i,1)==0
            ths=zeros(2*Nelm+1,1);
            Rs=zeros(2*Nelm+1,1);
            ths(1:2:end)=the; Rs(1:2:end)=Re;
            ths(2:2:end)=thc; Rs(2:2:end)=Rc;
            
            if fsav>0 && any(R_array(jj)==Isave_R)
                dlmwrite(filename_infor,[R_array(jj),2*Nelm+1],'-append', 'delimiter', ' ');
                dlmwrite(filename_theta,ths','-append', 'delimiter', ' ');
                dlmwrite(filename_R,Rs','-append', 'delimiter', ' ');
            end
            
            %{
    figure(1)
%     clf(1)
    hold on
    axis equal
%    plot(xel,yel,'k.-')
    plot(xcl,ycl,sty{jj})
    title(['Boundary distribution at time=',num2str(time)],'fontsize',15);
    xlabel('y','fontsize',15)
    ylabel('r','fontsize',15)
    hold off
    box on
    set(gcf,'color','w');
    set(gca,'fontsize',15);
            %}
            %
            figure(2);
            clf;
            hold on;
            quiver(xcl,ycl,u,v);
            %     plot(xcl,u,'b.-',xcl,v,'r.-'); %plot(v(1:Nelm1),'r.-')
            title(['surface velocity at time=',num2str(time)],'fontsize',15);
            xlabel('y','fontsize',15);
            ylabel('velocities','fontsize',15)
            box on
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            %}
            %
            figure(3);
            clf;
            hold on;
            plot(thc,fn,'b.');
            title(['surface traction at time=',num2str(time)],'fontsize',15);
            xlabel('y','fontsize',15);
            ylabel('traction','fontsize',15)
            box on
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            %}
            figure(4)
            clf;
            hold on;
            %             plot(xcl,cvt,sty{jj},[xcl(1),xcl(Nelm)],[1,1],'k-');
            plot(thc,cvt,sty{1},[thc(1),thc(Nelm)],[1,1],'k-')
            title(['Curvature at time=',num2str(time)],'fontsize',15);
            xlabel('\theta','fontsize',15)
            ylabel('1/R','fontsize',15)
            hold off
            box on
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            
            %{
    figure(5);
    clf;
    hold on;
    plot(yel,xel,'k.',-yel,xel,'k.')
    plot(ycl,xcl,'r.',-ycl,xcl,'r.')
    title(['Surface profile at time=',num2str(time)],'fontsize',15);
    xlabel('r','fontsize',15)
    ylabel('y','fontsize',15)
    hold off
    box on
    axis equal
    set(gcf,'color','w');
    set(gca,'fontsize',15);
            %}
            
            figure(71);
%             clf;
            hold on;
            %             plot(xel,Re,'k.-');%sqrt(xel.^2+yel.^2)
            %             plot(thc,Rc,sty{jj},'linewidth',3);%sqrt(xcl.^2+ycl.^2)
            %             plot(the,Re,sty{jj+1},'linewidth',3);
            plot(ths,Rs,sty{2},'linewidth',3);
            title(['Surface profile at time=',num2str(time)],'fontsize',15);
            xlabel('\theta','fontsize',15)
            ylabel('\Delta R / R','fontsize',15)
            hold off
            box on
            %     axis equal
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            
            figure(72)
            clf;
            hold on;
            plot(thc,2*(cvt-1),sty{2},[thc(1),thc(Nelm)],[0,0],'y-')
            xlabel('\theta','fontsize',15)
            ylabel('\Delta \kappa_m','fontsize',15)
            hold off
            box on
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            
            %{
    figure(7);
    clf;
%     hold on;
    quiver(xcl,ycl,nx,ny);
    title(['normal vector at time=',num2str(time)],'fontsize',15);
%     xlabel('y','fontsize',15)
%     ylabel('radial position','fontsize',15)
%     hold off
    box on
    axis equal
    set(gcf,'color','w');
    set(gca,'fontsize',15);
            %}
            pause(0.01);
        end % if mod
        
        if Idt>1 && minRe(Idt)>minRe(Idt-1) % if error starts to grow, save and break
            fprintf('Instability occurs.\n');
            ths=zeros(2*Nelm+1,1);
            Rs=zeros(2*Nelm+1,1);
            ths(1:2:end)=the; Rs(1:2:end)=Re;
            ths(2:2:end)=thc; Rs(2:2:end)=Rc;
            
            if fsav>0 && any(R_array(jj)==Isave_R)
                dlmwrite(filename_infor,[R_array(jj),2*Nelm+1],'-append', 'delimiter', ' ');
                dlmwrite(filename_theta,ths','-append', 'delimiter', ' ');
                dlmwrite(filename_R,Rs','-append', 'delimiter', ' ');
            end
            
            figure(71);
%             clf;
            hold on;
            plot(ths,Rs,sty{2},'linewidth',3);
            title(['Surface profile at time=',num2str(time)],'fontsize',15);
            xlabel('\theta','fontsize',15)
            ylabel('\Delta R / R','fontsize',15)
            hold off
            box on
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            
            figure(72)
            clf;
            hold on;
            plot(thc,2*(cvt-1),sty{2},[thc(1),thc(Nelm)],[0,0],'y-')
            %             title(['Curvature at time=',num2str(time)],'fontsize',15);
            xlabel('\theta','fontsize',15)
            ylabel('\Delta \kappa_m','fontsize',15)
            hold off
            box on
            set(gcf,'color','w');
            set(gca,'fontsize',15);
            break;
        end
        
    end
    
    %% plot time variations
    Ix=1:Idt-1;
    
    figure(11)
%     clf;
    hold on;
%     plot(T*ch_T,curvt/ch_R,sty{1},'linewidth',3);
    plot(T(Ix),curvt(Ix),sty{1},'linewidth',3);
    title('Curvature at center vs time','fontsize',15);
    xlabel('Time','fontsize',15);
    ylabel('1/R','fontsize',15);
    box on
    set(gcf,'color','w');
    set(gca,'fontsize',15);
    
    figure(12)
%     clf;
    hold on;
%     plot(T*ch_T,maxRe*ch_R,sty{3},'linewidth',3);
%     plot(T*ch_T,minRe*ch_R,sty{4},'linewidth',3);
    plot(T(Ix),maxRe(Ix),sty{3},'linewidth',3);
    plot(T(Ix),minRe(Ix),sty{4},'linewidth',3);
    title('Radial/bottom position at center vs time','fontsize',15);
    xlabel('Time','fontsize',15)
    ylabel('R','fontsize',15)
    box on
    set(gcf,'color','w');
    set(gca,'fontsize',15);
    
    figure(13)
%     clf;
    hold on;
%     plot(T*ch_T,uvc*ch_U,'r.',T*ch_T,uv1*ch_U,'k.',T*ch_T,uve*ch_U,'b.');
    plot(T(Ix),uvc(Ix),sty{5},'linewidth',3)
    plot(T(Ix),uv1(Ix),sty{6},'linewidth',3); %,T,uve,'b.'
    title('Velocity at center and top/bottom vs time','fontsize',15);
    xlabel('Time','fontsize',15);
    ylabel('|u|','fontsize',15);
    box on
    set(gcf,'color','w');
    set(gca,'fontsize',15);
    
    pause(1)
    
    fclose all;
end