function [U,U_f,U_u]=BEM_ax_sw_surface_volume_intgrl...
    (Nelm,X0,Y0,R,xel,yel,tel,Itype,xcntr,ycntr,Uphi,C_f,C_v,...
    r0,rn,Nr,Ws,TD,F_GQ,X_mod,Y_mod,Vnx,Vny,NGL)
%
% compute the phi component of the velocity vector of a point in the fluid volume;
% Both double layer integral and volume integral are computed;
% DLP is integrated by looping over the surface element;
% Volume integral is computed by function 'bem_ax_stokes_volume_source_intgr.m'
%
% version 10/27/15   author P.Z.

%% Double layer integral
Ising = 0;
tilt=0.0;

T0 = 0.0; %
DLP = 0.0;

for j=1:Nelm
    
    X1 = xel(j,1);
    Y1 = yel(j,1);
    
    X2 = xel(j,2);
    Y2 = yel(j,2);
    
    Ityp=Itype(j);
    
    T1=tel(j,1);
    T2=tel(j,2);
    
    if R(j)<1e10
        xcenter=xcntr(j);
        ycenter=ycntr(j);
        amaj=R(j);
        amin=R(j);
    else
        Ityp=1;
        xcenter=0;
        ycenter=0;
        amaj=0;
        amin=0;
    end
    
    [~,~,~,~,~,~, ~,~, Ph] =... %Qxx,Qxy,Qyx,Qyy,Dxx,Dxy,Dyx,Dyy,
        BEM_ax_sw_sdlp_intgl ...
        ( X0,Y0,T0,X1,Y1,T1,X2,Y2,T2,NGL,Ising,Ityp ...
        ,xcenter,ycenter,amaj,amin,tilt);
    Ph_tp(j)=Ph;
    DLP=DLP+Ph*Uphi(j);
end

%% compute volume integral of the source:
Volf=bem_ax_stokes_volume_source_intgr...
    (r0,rn,Nr,Ws,TD,F_GQ,X_mod,Y_mod,Vnx,Vny,X0,Y0);

%% compute velocity phi-component value
U=C_f*Volf+C_v*DLP;
U_f=C_f*Volf;
U_u=C_v*DLP;
