function F=bem_ax_source_GQ(r0,rn,Nr,Ts,r_mesh,th_mesh,E2)
% function to give source values proportinal to E^2 at GQ points
%
% Input:
% r0,rn,Nr: starting and ending point of the integral domain in r-direction;
% theta0,thetan,Ntheta: same information in theta-direction;
% NGL: number of GQ points.
%
% Output:
% F: heat source at GQ points
%
% version 12/15/14  author: Peng Zhang

dr=(rn-r0)/Nr;

NGQ=length(Ts);

F=zeros(Nr,NGQ);

for ii=1:Nr
    ri=r0+dr*(ii-0.5);
    
    rs=ones(NGQ,1)*ri;
    
    F(ii,1:NGQ)=interp2(r_mesh,th_mesh,E2,rs,Ts); % distribution of source on GQ points
    
end

