function Iv=bem_ax_stokes_volume_source_intgr...
    (r0,rn,Nr,Ws,TD,F,X_mod,Y_mod,Vnx,Vny,X0,Y0)
% function to perform volume integral with Green's function as kernel;
% integral on a curve is performed by bem_ax_laplace_line_intgrl.m 
% at a certain radius. Area integral is done by integral over r direction.
%
% Input:
% r0,rn,Nr: starting and ending point of the integral domain in r-direction;
% (X0,Y0): target point: fixed Green's singularity point;
%
% Output:
% Iv: volume integral
%
% version 10/23/15  author: Peng Zhang

dr=(rn-r0)/Nr;

%     figure(32);
%     clf;
%     hold on;

NGQ=length(Ws);

if size(F,2)~=NGQ
    fprintf('Source term F length mismatch! \n');
    return;
end

Iv=0;

for ii=1:Nr
    ri=r0+dr*(ii-0.5);
    
    X=X_mod*ri;
    Y=Y_mod*ri;
    DR=TD*ri;
    
    E2=F(ii,1:NGQ); % distribution of source on GQ points
    
    [Islp]=bem_ax_sw_stokes_phi_line_intgrl(X0,Y0,X,Y,DR,Ws,Vnx,Vny,E2(:)); % integral on a line in theta direction
    %     Islp
    
    Iv=Iv+Islp*dr; % sum(integral) in r-direction
    
    %{
    figure(32);
    plot(Xi,Yi,'.');
    axis equal
    %}
    
end