function [Islp]=bem_ax_sw_stokes_phi_line_intgrl(X0,Y0,X,Y,DR,Wt,Vnx,Vny,F)
% function to evaluate single and double layer integral in a line or circular curve
%
% Input:
% (X0,Y0): fixed single value point;
% X,Y: Gauss Quadrature points on the curve;
% DR: half element length weight for each GQ point;
% Wt: GQ weight for each GQ point;
% Vnx, Vny; normal direction for each GQ point;
% F: variable values to be integrated with Greens functions; should have value at all GQ points;
%
% Output:
% Islp,Idlp: single and double layer integrals of the function on the
%               curve;
% 
% version: 10/23/15   author: Peng Zhang

M3=bem_ax_sw_stokes_gf_phi_array(X,Y,X0,Y0); % Y -- s

%   Subtract off Green's function logarithmic singularity
%{
    if Ising==1
        
        if Itype==1
            Dists = (X-X0)^2+(Y-Y0)^2;
        end
        
        if Itype==2
            Dists = ( Rad*(T0-T) )^2;
        end
        
        G  = G + log(Dists)/(pi*4);
    end
%}

Islp = F .* M3 .* Y .* Wt.* DR; %

% Idlp = F .* (Gx.*Vnx+Gs.*Vny) .* Y .* Wt.* DR;

Islp = sum(Islp);
% Idlp = sum(Idlp);

% add slp singularity back to the slp
%{
if Ising==1
    slp = slp - 2.0*DR*(log(DR)-1.0)/(pi*2);
end
%}
