function [Mxx,Mxy,M1,M2,M3,q122,q222,q311,q321,q312,q322,q131,q231,q331,q132,q232,q332]=...
    func_bem_ax_sw_stokes_gf_phi_numer(Xc,Yc,X0,Y0)
% numerically calculate the phi integral of Green's function

%% discretization
N=5e3;
phi=linspace(0,2*pi,N+1);
phic=0.5*( phi(2:N+1)+phi(1:N) );
dphi=( phi(2:N+1)-phi(1:N) );

x0=X0;
y0=Y0;
z0=0.0;

x=Xc*ones(1,N);
y=Yc*cos(phic);
z=Yc*sin(phic);

Iopt=2;

[Gxx,Gxy,Gxz,Gyx,Gyy,Gyz,Gzx,Gzy,Gzz,px,py,pz...
     ,Txxx,Txxy,Txxz,Tyxy,Tyxz,Tzxz,Txyx,Txyy,Txyz,Tyyy,Tyyz,Tzyz...
     ,Txzx,Txzy,Txzz,Tyzy,Tyzz,Tzzz]...
    =sgf_3d_fs(Iopt,x,y,z,x0,y0,z0);

%% computation of greens function
M1=Yc*( -Gxy.*sin(phic) + Gxz.*cos(phic) ) .* dphi;
M2=Yc*( -Gyy.*sin(phic) + Gyz.*cos(phic) ) .* dphi;
M3=Yc*( -Gzy.*sin(phic) + Gzz.*cos(phic) ) .* dphi;

M1=sum(M1);
M2=sum(M2);
M3=sum(M3);

Mxx=Yc*( Gxx ) .* dphi;
Mxy=Yc*( Gyx.*cos(phic) + Gzx.*sin(phic)  ) .* dphi;

Mxx=sum(Mxx);
Mxy=sum(Mxy);

%% computation of Gradient greens function (phi related)
q131=Yc*( -Txxy.*sin(phic) + Txxz.*cos(phic) ) .* dphi;
q231=Yc*( -Txyy.*sin(phic) + Txyz.*cos(phic) ) .* dphi;
q331=Yc*( -Txzy.*sin(phic) + Txzz.*cos(phic) ) .* dphi;

q132=Yc*( -Tyxy.*sin(phic).*cos(phic) +Tyxz.*( (cos(phic)).^2-(sin(phic)).^2 ) + Tzxz.*sin(phic).*cos(phic) ) .* dphi;
q232=Yc*( -Tyyy.*sin(phic).*cos(phic) +Tyyz.*(2*(cos(phic)).^2-1) + Tzyz.*sin(phic).*cos(phic) ) .* dphi;
q332=Yc*( -Tyzy.*sin(phic).*cos(phic) +Tyzz.*(2*(cos(phic)).^2-1) + Tzzz.*sin(phic).*cos(phic) ) .* dphi;

q311=Yc*( Txzx ) .* dphi;
q321=Yc*( Txzy.*cos(phic) + Txzz.*sin(phic) ) .* dphi;

q312=Yc*( Txzx ) .* dphi;
q322=Yc*( Tyzy.*(cos(phic)).^2 + 2*Tyzz.*sin(phic).*cos(phic) + Tzzz.*(sin(phic)).^2 ) .* dphi;

q131=sum(q131);
q231=sum(q231);
q331=sum(q331);

q132=sum(q132);
q232=sum(q232);
q332=sum(q332);

q311=sum(q311);
q321=sum(q321);

q312=sum(q312);
q322=sum(q322);
%% computation of Gradient greens function (x-sigma related)
q122=Yc*( Tyxy.*(cos(phic)).^2 +2*Tyxz.*sin(phic).*cos(phic) + Tzxz.*(sin(phic)).^2 ) .* dphi;
q222=Yc*( Tyyy.*(cos(phic)).^2 +2*Tyyz.*sin(phic).*cos(phic) + Tzyz.*(sin(phic)).^2 ) .* dphi;

q122=sum(q122);
q222=sum(q222);
