Rval=100;

Nelm=128;

dir='../results_cases/'; % ..\case_results_N128_P1_Lambda700\

% cd ../results_cases/
suffx=[num2str( Rval ) '.txt'];
fidinf=fopen([dir,'infor',suffx]); 
data_tmp=fscanf(fidinf,' %f ',[7,1]);
magnfc=data_tmp(7);
%% plot in-plane velocity distribution
filename=[dir,'vel_field_xr_R',num2str(Rval),'_t0.mat'];
load(filename);

[R_mesh,Th_mesh]=meshgrid(rs,thetas);
X_mesh=R_mesh.*cos(Th_mesh);
Y_mesh=R_mesh.*sin(Th_mesh);

u_seed=u_seed/magnfc;
v_seed=v_seed/magnfc;

factor=1e10;

figure(31)
clf;
hold on;
axis equal
mag_u=sqrt(u_seed.^2+v_seed.^2);
[c,h]=contourf(X_mesh,Y_mesh,mag_u*factor,30);
set(h, 'linestyle', 'none');
colorbar

caxis([0 4e-10]*factor) %max(mag_u(:))

Ix1=1:2:N_seed_r+1; Ix2=1:2:N_seed_th+1;
quiver(X_mesh(Ix1,Ix2),Y_mesh(Ix1,Ix2),u_seed(Ix1,Ix2),v_seed(Ix1,Ix2),'k');
%                 streamline(X_mesh,Y_mesh,u_mesh,v_mesh,0,0.6);
axis([-1,1,-0.01,1.11]);
xlabel('{\it x / a}','FontSize',20);
ylabel('{\it r / a}','FontSize',20);
set(gca,'FontSize',20);
set(gcf,'Color','w');

set(gcf,'position', [152   206   711   420])

%% plot out of plane velocity U_phi
filename=[dir,'vel_field_phi_R',num2str(Rval),'_t0.mat'];
load(filename);

[R_mesh,Th_mesh]=meshgrid(Vrs,Vths);
X_mesh=R_mesh.*cos(Th_mesh);
Y_mesh=R_mesh.*sin(Th_mesh);

figure(32)
clf;
hold on;
axis equal
[c,h]=contourf(X_mesh,Y_mesh,U_phi_volume*1e5,30);
set(h, 'linestyle', 'none');

hcb=colorbar;
% caxis([-1e-8 4.5e-5]); %*1e5
caxis([-4.5e-5 4.5e-5]); %*1e5
% set(hcb,'YTick',[0,1.5e-5,3e-5,4.5e-5]); %*1e5 %max(U_phi_volume(:))
set(hcb,'YTick',[-4e-5, -2e-5, 0, 2e-5, 4e-5]);
% set(hcb,'YTickLabel',{'','','',''})

axis([-1,1,-0.01,1.11]);
xlabel('{\it x / a}','FontSize',20);
ylabel('{\it r / a}','FontSize',20);
set(gca,'FontSize',20);
set(gcf,'Color','w');

% set(hcb,'fontsize',13);

set(gcf,'position', [152   206   711   420])

%%
h=figure(34);
clf;
hold on;
axis equal
[c,h1]=contourf(X_mesh',Y_mesh',mag_u',30);
% caxis([0 max(U_phi_volume(:))])

[c,h2]=contourf(X_mesh,-Y_mesh,mag_u,30);
caxis([min(mag_u(:)) max(mag_u(:))])

set(h1, 'linestyle', 'none');
set(h2, 'linestyle', 'none');

axis([-1,1,-1.11,1.11]);
axis off;
set(gca,'FontSize',20);
set(gcf,'Color','w');
view(-90, 90)
set(gcf,'position', [335   332   582   510])

%%
h=figure(33)
clf;
hold on;
axis equal
[c,h1]=contourf(X_mesh',Y_mesh',U_phi_volume',30);
% caxis([0 max(U_phi_volume(:))])

[c,h2]=contourf(X_mesh,-Y_mesh,-U_phi_volume,30);
caxis([-max(U_phi_volume(:)) max(U_phi_volume(:))])

set(h1, 'linestyle', 'none');
set(h2, 'linestyle', 'none');

axis([-1,1,-1.11,1.11]);
axis off;
set(gca,'FontSize',20);
set(gcf,'Color','w');
view(-90, 90)
set(gcf,'position', [335   332   582   510])