close all;
clear all;
clc;

% L values for oil droplet in water \lambda=700nm
%
R_array = [400  300 250 200 150 120 100   80 70 60  50  40
    ]; % 90

L_array = [5145  3847  3204  2569  1918  1529  1275    1018  889  761  632  504
    ]; % 1139

flag_save=-1;

% N_term=200; % number of termination term
N_term=50;
Ng=8; % number of gauss quadrature points
N_fig=50; % figure number

Rplot=[400,200,100,50];
Ncase=length(R_array); % total number of cases

pref='shape_BEM_P1_lambd700_scatt_all_';

fidinf=fopen([pref,'infor.txt']); %15kstrcat(
fidR=fopen([pref,'R.txt']);
fidtheta=fopen([pref,'theta.txt']);

figure(N_fig)
clf;
hold on;

figure(55)
clf;
hold on;
figure(56)
clf;
hold on;
%CM=hsv(Ncase);
CM={'k';'b';'r';'m';'y';'g';'b';'k';'r';'m';[0,0.5,0];'y'};
styl={'o-';'*:';'+--';'d--';'x-';'>-';'<--';'+-';'o--';'d-';'^-';'*-'};
for jj=1:Ncase
    % read shapes from solutions
    infor=fscanf(fidinf,' %f ',[1,2]);
    Rcase=infor(1);
    N_theta=infor(2);
    l=L_array(jj);
    m=l;
    
    R=fscanf(fidR,'%g ',[1,N_theta]); %Re=Re';
    theta=fscanf(fidtheta,'%g ',[1,N_theta]);
    
    % get spherical expansion parameter
    [c,fi_val,f_pt]=get_spherical_coef_Gauss_even...
        (theta,R,N_term,Ng,N_fig);
    
    %
    %     plot(theta,R,'-');
    if ismember(R_array(jj),Rplot)
        figure(55)
        plot((0:2:N_term),abs(fi_val),styl{jj},'color',CM{jj},'linewidth',2,'markersize',10,...%CM(jj,:)
            'markeredgecolor',CM{jj});%/fi_val(2) % abs(c)
        % loglog((2:2:N_term),abs(c(2:end)),'.-','color',CM(jj,:));
        SL=(log(c(6))-log(c(2)))/(log(6)-log(2));
        fprintf('slope=%f \n',SL);
        
        fprintf('c2*Y2(pi/2)= %e. \n',fi_val(2));
        
%         legend_strings{jj}=['l=m=',num2str(l)];

        figure(56)
        plot((0:2:N_term),abs(fi_val/fi_val(2)),styl{jj},'color',CM{jj},'linewidth',2,'markersize',10,...%CM(jj,:)
            'markeredgecolor',CM{jj});
    end
    
    %     if jj==7
    %         figure(56)
    %         bar((2:2:N_term),abs(fi_val(2:end)/fi_val(2)));%,styl{jj},'color',CM{jj},'linewidth',2,'markersize',10,...
    %         %'markeredgecolor',CM{jj}
    %     end
    
    if flag_save==1
        save(['harmonic_coefs_scatt/harmonic_coefs_shape_R',num2str(Rcase),'_l',num2str(l),'_m',num2str(m),'.mat'],'c','fi_val');
    end
    
    pause(0.1)
end

%%
figure(N_fig)
xlabel('\theta','fontsize',20)
ylabel('\Delta R / a','fontsize',20)
legend('theory','spherical approx.','location','best');
box on
set(gcf,'color','w');
set(gca,'fontsize',20);
xlim([0 pi])

figure(55)
set(gca, 'YScale', 'log');%'XScale', 'log', 
% ylabel('|\Delta_L|','fontsize',20); %/\Delta_2
% xlabel('L','fontsize',20)
box on
grid on
set(gcf,'color','w');
set(gca,'fontsize',20);
lg=legend('a=400\mum','a=200\mum','a=100\mum','a= 50\mum');%,'fontsize',10
% lg=legend(legend_strings,'location','best');
set(lg,'fontsize',15);

xtix=[2,10:10:50];
xtixlb={'2','10','50'};
% set(gca,'Xlim',[1.999 N_term],'XTick',xtix,'XTicklabel',xtixlb); 
set(gca,'Xlim',[1.999 N_term],'XTick',xtix); 
% set(gca,'Ylim',[10^(-7) 10^(-2.8)],'YTick',[10^(-7),10^(-5),10^(-3)]);
set(gcf,'position',[156   249   666   393])
% xlim([1 N_term])

%
figure(56)
box on
grid on
set(gca, 'YScale', 'log');
% ylabel('|\Delta_L/\Delta_2|','fontsize',20)
% xlabel('L','fontsize',20)
set(gcf,'color','w');
set(gca,'fontsize',20);
lg=legend('a=400\mum','a=200\mum','a=100\mum','a= 50\mum');%,'fontsize',10
% lg=legend(legend_strings,'location','best');
set(lg,'fontsize',14);
set(gca,'Xlim',[1.999 N_term],'XTick',xtix); 
% set(gcf,'position',[358   312   663   313]); %inset
set(gcf, 'Position', [51   302   644   305]);  %subplot
%}
