function BEM_ax_plot_solution(Nelm,ang,angc,u,v,ue,ve,xcl,ycl,ncx,ncy,traction,fn_total,ft_total)
% plot the solution of velocity and tranction on the interface
%
% version 10/20/15   author P.Z.

u_all=func_combine_vectors(ue,u,Nelm);
v_all=func_combine_vectors(ve,v,Nelm);
ang_all=func_combine_vectors(ang,angc,Nelm);

figure(41)
clf;
hold on;
% plot(ang,ue,'b.');
% plot(ang,ve,'r.');
% plot(angc,u,'k.-');
% plot(angc,v,'k.-');
plot(ang_all,u_all,'b.-');
plot(ang_all,v_all,'r.-');
legend('u','v','location','best');
title('total velocity')

veln=u.*ncx+v.*ncy;
velt=-u.*ncy+v.*ncx;

figure(42)
clf;
hold on;
plot(xcl,veln,'b.');
plot(xcl,velt,'r.');
legend('normal vel','shear vel','location','best');
title('Vn, Vs')

figure(43)
clf;
hold on;
% plot(angc,traction(1:Nelm),'b.');
% plot(angc,traction(Nelm+1:2*Nelm),'r.');
plot(angc,fn_total,'b.-');
plot(angc,ft_total,'r.-');
legend('normal stress','shear stress','location','best');
title('fn, fs')

%{
figure(44)
clf;
hold on;
axis equal;
plot(xcl,ycl,'k-');
quiver(xcl,ycl,traction(1:Nelm),traction(Nelm+1:2*Nelm));
title('total force')
%}