function [u,v,ue,ve,max_u,traction,fn_total,ft_total]=...
    BEM_ax_stokes_solution_WGM_drop...
    (Nelm,Curvt,angc,ang,xcl,ncx,ncy,DPn,XPn,DPt,XPt,Ls)
% obtain the velocity of the interface
%
% The input collocation matrices are already re-arranged
% and inverted (Ls=-B0\A0) by function 'BEM_ax_stokes_linear_system_WGM_drop.m'
% so that the unknown vector can be obtained by matrix multiplication:
%  ukn = Ls*kn;
% 
% version 11/29/15      author P.Z.

%% compute know pressure values
% correct the value of curvature at the first and last two elements
Curvt(1:2)=Curvt(3); 
Curvt(Nelm-1:Nelm)=Curvt(Nelm-2);

traction=zeros(2*Nelm,1);
%
radp=interp1(XPn,DPn,xcl); %DPn=DPn.*50;
surftsn=2.0-2*Curvt; % adding a constant to the force do not change the results

fn_total=surftsn+radp; % 
ft_total=interp1(XPt,DPt,xcl); % 

traction(1:Nelm)=fn_total.*ncx-ft_total.*(-ncy);
traction(Nelm+1:2*Nelm)=fn_total.*ncy-ft_total.*(ncx);

%% solve for unknown velocity:

velocity=Ls*traction;

% element center velocity
u=velocity(1:Nelm);
v=velocity(Nelm+1:2*Nelm);

% correct 1st & last point value
% u(1)=u(2); u(Nelm)=u(Nelm-1);
% v(1)=v(2); v(Nelm)=v(Nelm-1);

% max velocity on interface
% max_u=max(sqrt(u.^2+v.^2)); % max total velocity

veln=u.*ncx+v.*ncy;
Nh=(Nelm-1)/2+1;
% max_u=max(sqrt(veln.^2)); % max normal velocity
max_u=sqrt(veln(Nh).^2); % normal velocity at center

%% For velocity at element edges:
% spline with extended matching boundary:

N_ext=round(Nelm/4);
[ue,ve,~,~]=drop_symmetric_extended_spline(angc,u,v,N_ext,ang);

ve(1)=0;
ve(Nelm+1)=0;
%{
sddx=fnder(sx,2);
ddx=ppval(sddx,ang);

sddy=fnder(sy,2);
ddy=ppval(sddy,ang);

figure(702)
plot(ang,ddx,'m*',ang,ddy,'y*');
%}
