function  [x,y,xcl,ycl,xel,yel,tcl,tel,lel,ncx,ncy,nex,ney,xcntr,ycntr,R,Curvt,angle,Itype]=...
    BEM_ax_update_mesh_WGM_drop...
    (Nelm,delt,x,y,u,v,ue,ve,xcl,ycl,xel,yel,tcl,tel,ncx,ncy,nex,ney,Itype)
% update the interface element position based on the velocity values
% element related information, i.e., arc length center, etc are
% re-calculated.
% 
% version: 11/30/15   author: PZ

%% update mesh
% move in the total velocity direction
%{
v([1:2,end-1:end])=0;
ve([1:2,end-1:end])=0;

xcl=xcl+delt*u;
ycl=ycl+delt*v;

x=x+delt*ue;
y=y+delt*ve;
%}

% move in the normal direction
%
vnex=[nex(1,1);0.5*(nex(2:Nelm,1)+nex(1:Nelm-1,2));nex(Nelm,2)];
vney=[ney(1,1);0.5*(ney(2:Nelm,1)+ney(1:Nelm-1,2));ney(Nelm,2)];

leng=sqrt(vnex.^2+vney.^2);

nex=vnex./leng;
ney=vney./leng;

vel_normc=u.*ncx+v.*ncy;

vel_norm=ue.*nex+ve.*ney;

xcl=xcl+delt*(vel_normc.*ncx);
ycl=ycl+delt*(vel_normc.*ncy);

x=x+delt*(vel_norm.*nex);
y=y+delt*(vel_norm.*ney);
%}

%{
figure(98)
clf;
hold on;
quiver(xcl,ycl,vel_normc.*ncx,vel_normc.*ncy,'b');
quiver(x,y,vel_norm.*nex,vel_norm.*ney,'r');
axis equal;
title('normal velocity');
%}

xel(:,1)=x(1:Nelm);
xel(:,2)=x(2:Nelm+1);
yel(:,1)=y(1:Nelm);
yel(:,2)=y(2:Nelm+1);

%% re-calculated parameters
%         x=[xel(1:Nelm,1);xel(Nelm,2)];
%         y=[yel(1:Nelm,1);yel(Nelm,2)];
xc0=xcl(1:Nelm);
yc0=ycl(1:Nelm);

[xc0,yc0,xcntr,ycntr,R,Curvt,angle,ncx,ncy,nex,ney,TYPE]=circular_seg5(x,y,xc0,yc0,ncx(1),ncy(1),1.414);
xcl=xc0(:);
ycl=yc0(:);

Itype(1:Nelm)=TYPE;
angle=real(angle);

for i=1:Nelm
    tcl(i) = angle(i,2);
    tel(i,1)=angle(i,1);
    tel(i,2)=angle(i,3);
end

%% element arc length
lel=zeros(1,Nelm);
for i=1:Nelm
    if(Itype(i)==1 )%|| R(i)>1e10
        lel(i) = sqrt((xel(i,1)-xel(i,2))^2+(yel(i,1)-yel(i,2))^2);
    else
        lel(i) = R(i)*(angle(i,3)-angle(i,1));
    end
end
