function c=get_spherical_coef_trapz_even(theta,f,N_term,N_fig)

% get the coefficients for spherical expansion of a give discrete vector f;
% input: function value f evaluated at theta;
% number of termination terms N_term (maximum L value);
% only the even terms are included (symmetric f)

X=cos(theta);
L=0:2:N_term; % numbering of L
N_total=length(L);
N_th=length(theta);

Y=zeros(N_total,N_th); % pre-allocate legendre value for different L
c=zeros(N_total,1);
f_check=zeros(1,N_th);

%% get spherical harmonic function values
for ii=1:N_total
    n=L(ii);
    F = legendre(n,X,'norm'); %normalized legendre
    Y(ii,:)=F(1,:)./sqrt(2*pi); % first row correspond to m=0; re-normalize in terms of angle
end

%% integration: choose integral method

% integrate
for ii=1:N_total
    integrand=Y(ii,:).*f.*sin(theta);
    c(ii)=2*pi*trapz(theta,integrand); % trapz intagration
end

%% check the sum

figure(N_fig)
for ii=1:N_total
    f_check=f_check+c(ii).*Y(ii,:);
end
plot(theta,f,'r-',theta,f_check,'b--','linewidth',2);