clear all;
close all;
clc;

R_array = [400  300 250 200 150 120 100   80 70 60  50 40
    ]; %  90

Rcase=R_array;

Rplot=[400,200,100,50];

Ncase=length(Rcase);

dir='..\temperature_data\';

figure(51)
clf;
hold on;

figure(52)
clf;
hold on;

LNwd=1.5;
CM={'k';'b';'r';'m';'y';'g';'b';'k';'r';'m';[0,0.5,0];'y'};
styl={'o-';'*:';'+--';'d--';'x-';'>-';'<--';'+-';'o--';'d-';'^-';'*-'};

for ii=1:Ncase
    suffx=[num2str( Rcase(ii) ),'.txt'];
    fidt=fopen([dir,'Temperature_surf_',suffx]); %
    
    Nelm=fscanf(fidt,' %f ',[1,1]);
    angc=fscanf(fidt,'%g ',[1,Nelm]);
    angc=angc/pi*180;
    T=fscanf(fidt,'%g ',[1,Nelm]);
    
    if ismember(Rcase(ii),Rplot)
        figure(51)
        plot(angc,T,'-','color',CM{ii},'linewidth',LNwd,'markersize',10,...
            'markeredgecolor',CM{ii});
        
%         angz=linspace(pi/2-0.2,pi/2+0.2,512);
        angz=linspace(85,95,512);
        TT=spline(angc,T,angz);
    
        figure(52)
        plot(angz,TT,'-','color',CM{ii},'linewidth',LNwd+1,'markersize',10,...
            'markeredgecolor',CM{ii});
    end
end

%%
FTsz=20;

figure(51)
box on;
% xtix=[0*pi():pi()/4:pi()];
xtix=[0:45:180];
% xtixlb={'0','p/4','p/2','3p/4','p'};
set(gca,'XTick',xtix,'Xlim',[0,180]); %'XTicklabel',[], %xtixlb %,'fontname','symbol'
ytix=[0;0.1;0.2;0.3];
set(gca,'YTick',ytix,'Ylim',[0,0.301]);

xlabel('{\it \theta} (deg)');
ylabel('{\itT} (K)','fontsize',FTsz);
set(gcf,'color','w');
set(gca,'fontsize',FTsz);

lg=legend('{\ita}=400\mum','{\ita}=200\mum','{\ita}=100\mum','{\ita}= 50\mum');%,'fontsize',10
set(lg,'fontsize',FTsz-3);

set (gcf, 'position',[209   295   791   378]); 

%% zoom
FTsz=30;

figure(52)
box on;
% xtix=[pi/2-0.1;pi/2;pi/2+0.1];
xtix=[85;90;95];
set(gca,'XTick',xtix,'Xlim',[85,95]);%'XTicklabel',[],
ytix=[0.15;0.2;0.25;0.3];
set(gca,'YTick',ytix,'Ylim',[0.15,0.31]);

% xlabel('');
% ylabel('{\itT} (K)','fontsize',FTsz);
set(gcf,'color','w');
set(gca,'fontsize',FTsz);

set (gcf, 'position',[1052         275         519         424]); 