

Rval=100;

Nelm=128;

%% read data
cd ../results_cases_neggrad/

filename=['vel_field_R',num2str(Rval),'_t4.88.mat']; %4.88
load(filename);

cd ../visualization

[R_mesh,Th_mesh]=meshgrid(rs,thetas);
X_mesh=R_mesh.*cos(Th_mesh);
Y_mesh=R_mesh.*sin(Th_mesh);

%% plot velocity contour
factor=1e5;

figure(31)
clf;
hold on;
axis equal
mag_u=sqrt(u_mesh.^2+v_mesh.^2);
[c,h]=contourf(X_mesh,Y_mesh,mag_u*factor,30);
set(h, 'linestyle', 'none');

hcb=colorbar;
% caxis([-1e-8 12e-5]*factor); % for t=0
% set(hcb,'YTick',[0,4e-5,8e-5,12e-5]*factor); % for t=0
caxis([-1e-8 9e-5]*factor); % for t=4.88
set(hcb,'YTick',[0,3e-5,6e-5,9e-5]*factor); % for t=4.88


Ix1=1:2:Nr+1; Ix2=1:2:Ntheta+1;
quiver(X_mesh(Ix1,Ix2),Y_mesh(Ix1,Ix2),u_mesh(Ix1,Ix2),v_mesh(Ix1,Ix2),'k');
%                 streamline(X_mesh,Y_mesh,u_mesh,v_mesh,0,0.6);
axis([-1,1,-0.01,1.11]);
xlabel('{\it x / a}','FontSize',20);
ylabel('{\it r / a}','FontSize',20);
set(gca,'FontSize',20);
set(gcf,'Color','w');

set(gcf,'position', [152   206   711   420])

%%
figure(41)
clf;
hold on;
axis equal
mag_u=sqrt(u_mesh.^2+v_mesh.^2);
[c,h1]=contourf(X_mesh,Y_mesh,mag_u,30);
caxis([0 max(mag_u(:))])
[c,h2]=contourf(X_mesh,-Y_mesh,mag_u,30);
caxis([0 max(mag_u(:))])

set(h1, 'linestyle', 'none');
set(h2, 'linestyle', 'none');

quiver(X_mesh(Ix1,Ix2),Y_mesh(Ix1,Ix2),u_mesh(Ix1,Ix2),v_mesh(Ix1,Ix2),'k');
quiver(X_mesh(Ix1,Ix2),-Y_mesh(Ix1,Ix2),u_mesh(Ix1,Ix2),-v_mesh(Ix1,Ix2),'k');

axis([-1,1,-1.11,1.11]);
axis off;
set(gca,'FontSize',20);
set(gcf,'Color','w');
view(-90, 90)

set(gcf,'position', [335   332   582   510])